Quantcast

Should I be worried about this upgrade error ?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Should I be worried about this upgrade error ?

Michael Kimber
Should I be worried about this upgrade error:

The migration failed: org.picocontainer.injectors.AbstractInjector$UnsatisfiableDependenciesException: org.sonar.server.startup.RegisterNewFilters has unsatisfied dependency 'class [Lorg.sonar.api.web.FilterTemplate;' for constructor 'public org.sonar.server.startup.RegisterNewFilters(org.sonar.api.web.FilterTemplate[],org.sonar.core.filter.FilterDao,org.sonar.core.template.LoadedTemplateDao)' from org.picocontainer.DefaultPicoContainer@74d81ae8:14<[Immutable]:org.picocontainer.DefaultPicoContainer@59e6b3a6:180<[Immutable]:org.picocontainer.DefaultPicoContainer@25a4053b:6<[Immutable]:org.picocontainer.DefaultPicoContainer@6503017:31<|.
Please check the logs.

There were no logs.

Upgrading from 2.13 to 3.1.1

I restarted tomcat and Sonar appears to be upgraded and working correctly i.e. I can navigate and run analysis with out issue.

Mike
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Should I be worried about this upgrade error ?

Fabrice Bellingard-4
Hi Mike,

you got this error message on the migration screen in the Web UI and got no error in the log, that's it? If so, then we should do something about it as this means that the exception is not correctly logged, which can make it difficult to diagnose a migration failure.

In your case, I guess that indeed the migration went well and that for some unknown reason, the restart of the server failed. 


Best regards,

Fabrice BELLINGARD | SonarSource
http://sonarsource.com



On Wed, Jul 4, 2012 at 3:44 PM, Michael Kimber <[hidden email]> wrote:
Should I be worried about this upgrade error:

The migration failed: org.picocontainer.injectors.AbstractInjector$UnsatisfiableDependenciesException: org.sonar.server.startup.RegisterNewFilters has unsatisfied dependency 'class [Lorg.sonar.api.web.FilterTemplate;' for constructor 'public org.sonar.server.startup.RegisterNewFilters(org.sonar.api.web.FilterTemplate[],org.sonar.core.filter.FilterDao,org.sonar.core.template.LoadedTemplateDao)' from org.picocontainer.DefaultPicoContainer@74d81ae8:14<[Immutable]:org.picocontainer.DefaultPicoContainer@59e6b3a6:180<[Immutable]:org.picocontainer.DefaultPicoContainer@25a4053b:6<[Immutable]:org.picocontainer.DefaultPicoContainer@6503017:31<|.
Please check the logs.

There were no logs.

Upgrading from 2.13 to 3.1.1

I restarted tomcat and Sonar appears to be upgraded and working correctly i.e. I can navigate and run analysis with out issue.

Mike

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: Should I be worried about this upgrade error ?

kimberlad

“you got this error message on the migration screen in the Web UI and got no error in the log, that's it? “

 

Sorry I should have been clearer, yes this is correct

 

Mike

 

From: Fabrice Bellingard [mailto:[hidden email]]
Sent: 05 July 2012 07:03
To: [hidden email]
Subject: Re: [sonar-user] Should I be worried about this upgrade error ?

 

Hi Mike,

 

you got this error message on the migration screen in the Web UI and got no error in the log, that's it? If so, then we should do something about it as this means that the exception is not correctly logged, which can make it difficult to diagnose a migration failure.

 

In your case, I guess that indeed the migration went well and that for some unknown reason, the restart of the server failed. 


 

Best regards,

 

Fabrice BELLINGARD | SonarSource
http://sonarsource.com



On Wed, Jul 4, 2012 at 3:44 PM, Michael Kimber <[hidden email]> wrote:

Should I be worried about this upgrade error:

The migration failed: org.picocontainer.injectors.AbstractInjector$UnsatisfiableDependenciesException: org.sonar.server.startup.RegisterNewFilters has unsatisfied dependency 'class [Lorg.sonar.api.web.FilterTemplate;' for constructor 'public org.sonar.server.startup.RegisterNewFilters(org.sonar.api.web.FilterTemplate[],org.sonar.core.filter.FilterDao,org.sonar.core.template.LoadedTemplateDao)' from org.picocontainer.DefaultPicoContainer@74d81ae8:14<[Immutable]:org.picocontainer.DefaultPicoContainer@59e6b3a6:180<[Immutable]:org.picocontainer.DefaultPicoContainer@25a4053b:6<[Immutable]:org.picocontainer.DefaultPicoContainer@6503017:31<|.
Please check the logs.

There were no logs.

Upgrading from 2.13 to 3.1.1

I restarted tomcat and Sonar appears to be upgraded and working correctly i.e. I can navigate and run analysis with out issue.

Mike

 

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Should I be worried about this upgrade error ?

Fabrice Bellingard-4
OK, thanks Mike, I will investigate to see why no log is available. (from what I see in the code, it should be printed out)


Best regards,

Fabrice BELLINGARD | SonarSource
http://sonarsource.com



On Thu, Jul 5, 2012 at 9:09 AM, Mike Kimber <[hidden email]> wrote:

“you got this error message on the migration screen in the Web UI and got no error in the log, that's it? “

 

Sorry I should have been clearer, yes this is correct

 

Mike

 

From: Fabrice Bellingard [mailto:[hidden email]]
Sent: 05 July 2012 07:03
To: [hidden email]
Subject: Re: [sonar-user] Should I be worried about this upgrade error ?

 

Hi Mike,

 

you got this error message on the migration screen in the Web UI and got no error in the log, that's it? If so, then we should do something about it as this means that the exception is not correctly logged, which can make it difficult to diagnose a migration failure.

 

In your case, I guess that indeed the migration went well and that for some unknown reason, the restart of the server failed. 


 

Best regards,

 

Fabrice BELLINGARD | SonarSource
http://sonarsource.com



On Wed, Jul 4, 2012 at 3:44 PM, Michael Kimber <[hidden email]> wrote:

Should I be worried about this upgrade error:

The migration failed: org.picocontainer.injectors.AbstractInjector$UnsatisfiableDependenciesException: org.sonar.server.startup.RegisterNewFilters has unsatisfied dependency 'class [Lorg.sonar.api.web.FilterTemplate;' for constructor 'public org.sonar.server.startup.RegisterNewFilters(org.sonar.api.web.FilterTemplate[],org.sonar.core.filter.FilterDao,org.sonar.core.template.LoadedTemplateDao)' from org.picocontainer.DefaultPicoContainer@74d81ae8:14<[Immutable]:org.picocontainer.DefaultPicoContainer@59e6b3a6:180<[Immutable]:org.picocontainer.DefaultPicoContainer@25a4053b:6<[Immutable]:org.picocontainer.DefaultPicoContainer@6503017:31<|.
Please check the logs.

There were no logs.

Upgrading from 2.13 to 3.1.1

I restarted tomcat and Sonar appears to be upgraded and working correctly i.e. I can navigate and run analysis with out issue.

Mike

 


Loading...